View Issue Details

IDProjectCategoryView StatusLast Update
0032676Open CASCADEOCCT:DRAWpublic2021-12-13 14:56
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeveritytrivial 
Status verifiedResolutionfixed 
Product Version7.1.0 
Target Version7.7.0 
Summary0032676: Draw Harness, ViewerTest - fix NULL dereference on vanim -remove
Description"vanim -remove" has misprint in implementation leading to NULL dereference.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0032650 newkgv Community Coding Rules - QA warnings in 7.5.3 
child of 0027764 closedapn Open CASCADE Visualization - add functionality for animation of 3D camera and interactive objects 

Activities

git

2021-11-22 01:38

administrator   ~0105332

Branch CR32676 has been created by kgv.

SHA-1: 6bccc5047e0b3d6d97f3b37b9a474d5533eefdea


Detailed log of new commits:

Author: kgv
Date: Mon Nov 22 01:38:11 2021 +0300

    0032676: Draw Harness, ViewerTest - fix NULL dereference on vanim -remove

kgv

2021-11-22 02:20

developer   ~0105337

Please raise the patch
- OCCT: branch CR32676.

smoskvin

2021-11-27 14:22

administrator   ~0105458

Combination -
OCCT branch : IR-2021-11-26
master SHA - 4a837ecec21bfe24d9c224c4b59aa9779156f297
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-11-26 SHA - 5da5872bffc6c1fa745ee5e33ac09c4fffd349b4
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18390.380000000398 / 18549.650000000624 [-0.86%]
Products
Total CPU difference: 11648.280000000103 / 11661.570000000122 [-0.11%]
Windows-64-VC14:
OCCT
Total CPU difference: 19927.859375 / 19945.046875 [-0.09%]
Products
Total CPU difference: 13059.03125 / 13091.625 [-0.25%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105888

Branch CR32676 has been deleted by kgv.

SHA-1: 6bccc5047e0b3d6d97f3b37b9a474d5533eefdea

Related Changesets

occt: master 7c3daf20

2021-11-21 22:38:11

kgv


Committer: smoskvin Details Diff
0032676: Draw Harness, ViewerTest - fix NULL dereference on vanim -remove Affected Issues
0032676
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff File

Issue History

Date Modified Username Field Change
2021-11-22 01:36 kgv New Issue
2021-11-22 01:36 kgv Assigned To => kgv
2021-11-22 01:38 git Note Added: 0105332
2021-11-22 01:39 kgv Relationship added child of 0027764
2021-11-22 01:39 kgv Product Version 7.5.0 => 7.1.0
2021-11-22 02:20 kgv Test case number => N/A
2021-11-22 02:20 kgv Note Added: 0105337
2021-11-22 02:20 kgv Assigned To kgv => bugmaster
2021-11-22 02:20 kgv Severity minor => trivial
2021-11-22 02:20 kgv Status new => resolved
2021-11-22 02:20 kgv Steps to Reproduce Updated
2021-11-22 02:20 kgv Status resolved => reviewed
2021-11-27 14:22 smoskvin Note Added: 0105458
2021-11-27 14:22 smoskvin Status reviewed => tested
2021-11-27 14:52 smoskvin Changeset attached => occt master 7c3daf20
2021-11-27 14:52 smoskvin Assigned To bugmaster => smoskvin
2021-11-27 14:52 smoskvin Status tested => verified
2021-11-27 14:52 smoskvin Resolution open => fixed
2021-12-11 11:53 kgv Relationship added related to 0032650
2021-12-13 14:56 git Note Added: 0105888